## org.apache.commons.math.distribution
Interface TDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution

All Known Implementing Classes:
  TDistributionImpl

    public interface TDistribution

extends ContinuousDistribution

Student's t-Distribution.

References:

- Student's t-Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

Method Summary
`double` `getDegreesOfFreedom()` Access the degrees of freedom.
`void` `setDegreesOfFreedom(double degreesOfFreedom)` Deprecated. as of v2.1

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### setDegreesOfFreedom

    @Deprecated
    void setDegreesOfFreedom(double degreesOfFreedom)

  Deprecated. as of v2.1

  Modify the degrees of freedom.

  Parameters:
    `degreesOfFreedom` - the new degrees of freedom.

### getDegreesOfFreedom

    double getDegreesOfFreedom()

  Access the degrees of freedom.

  Returns:
    the degrees of freedom.

Copyright (c) 2003-2013 Apache Software Foundation